package cn.com.countrygarden.bi.main.dao.bigholderAduit;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.BigholderSatisfacationInfo;
import cn.com.countrygarden.bi.main.model.bigholderAduit.BigholderAreaAudit;
import cn.com.countrygarden.bi.main.model.bigholderAduit.eunm.AuditStatus;

public interface BigholderAduitMapper {

	// 修改数据
	public void updateBigholderAduit(BigholderAreaAudit bigholderAreaAudit);

	// 修改是否推送状态
	public void updateAuditIsPush(BigholderAreaAudit bigholderAreaAudit);

	// 删除
	public void deleteBigholderAduit(@Param(value="id")String id);

	// 查找通过项目总问卷
	// public List<BigholderAreaAudit>
	// getBigholderAreaAuditBySId(@Param(value="satisfactionInfoId")String
	// satisfactionInfoId);

	public List<BigholderAreaAudit> getBigholderAreaAduits(@Param(value = "yearMonth") String yearMonth,
			@Param(value = "area") String area, @Param(value = "auditStatus") String auditStatus);

	// 查找审核里面的所有数据
	public List<BigholderAreaAudit> getBigholderAreaAuditAll(@Param(value = "yearMonth") String yearMonth);

	/**
	 * 批量插入审核的数据
	 * 
	 * @param list
	 */
	public void insertBigholderAduit(@Param(value = "list") List<BigholderAreaAudit> list);

	public BigholderAreaAudit selectById(@Param(value = "id") String id);

	public void updateRejectedInfo(BigholderAreaAudit bigholderAreaAudit);

	public List<BigholderAreaAudit> getBigholderAreaAduits1(
			@Param(value = "yearMonth") String yearMonth, @Param(value = "area") String area,
			@Param(value = "auditStatus") String auditStatus);

	public List<BigholderAreaAudit> getByAreaAduitsCommId(@Param(value = "yearMonth") String yearMonth,
			@Param(value = "area") String area, @Param(value = "commId") String commId,
			@Param(value = "auditStatus") String rejected);

	public void updateAllStatus(BigholderAreaAudit bigholderAreaAudit);

	public List<BigholderAreaAudit> findByMonthsOrArea(
			@Param(value="yearMonth")List<String> yearMonth, 
			@Param(value="area")String area,
			@Param(value="auditStatus")String auditStatus);

}
